Index: applications/dual/VYZ/vyz_text.lyx
===================================================================
--- applications/dual/VYZ/vyz_text.lyx (revision 1364)
+++ applications/dual/VYZ/vyz_text.lyx (revision 1368)
@@ -1893,8 +1893,8 @@
 
 \begin_inset Formula 
-\begin{eqnarray*}
-\frac{di_{d}}{dt} & = & -\frac{R_{s}}{L_{d}}i_{d}+\frac{L_{q}}{L_{d}}\omega_{m}i_{q}+\frac{1}{L_{d}}u_{d},\\
-\frac{di_{q}}{dt} & = & -\frac{R_{s}}{L_{q}}-\frac{\psi_{pm}}{L_{q}}\omega_{m}-\frac{L_{d}}{L_{q}}\omega_{m}i_{d}+\frac{1}{L_{q}}u_{q}.
-\end{eqnarray*}
+\begin{eqnarray}
+\frac{di_{d}}{dt} & = & -\frac{R_{s}}{L_{d}}i_{d}+\frac{L_{q}}{L_{d}}\omega_{m}i_{q}+\frac{1}{L_{d}}u_{d},\label{eq:rovnice_ruzneL_proi}\\
+\frac{di_{q}}{dt} & = & -\frac{R_{s}}{L_{q}}-\frac{\psi_{pm}}{L_{q}}\omega_{m}-\frac{L_{d}}{L_{q}}\omega_{m}i_{d}+\frac{1}{L_{q}}u_{q}.\nonumber 
+\end{eqnarray}
 
 \end_inset
@@ -2510,7 +2510,7 @@
  přejde na tvar
 \begin_inset Formula 
-\[
-\frac{d\omega}{dt}=\frac{k_{p}p_{p}^{2}}{J}\left(\left(L_{d}-L_{q}\right)i_{d}i_{q}+\psi_{pm}i_{q}\right)-\frac{B}{J}\omega-\frac{p_{p}}{J}T_{L}.
-\]
+\begin{equation}
+\frac{d\omega}{dt}=\frac{k_{p}p_{p}^{2}}{J}\left(\left(L_{d}-L_{q}\right)i_{d}i_{q}+\psi_{pm}i_{q}\right)-\frac{B}{J}\omega-\frac{p_{p}}{J}T_{L}.\label{eq:rovnice_ruzneL_omega}
+\end{equation}
 
 \end_inset
@@ -3854,4 +3854,11 @@
 \begin_layout Section
 Injektáže
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Injektáže"
+
+\end_inset
+
+
 \end_layout
 
@@ -4555,4 +4562,11 @@
 \begin_layout Subsection
 Vektorové řízení
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Vektorové-řízení"
+
+\end_inset
+
+
 \end_layout
 
@@ -5438,4 +5452,11 @@
 \series bold
 Vybrané algoritmy pro duální řízení
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Vybrané-algoritmy-proDC"
+
+\end_inset
+
+
 \end_layout
 
@@ -5585,5 +5606,5 @@
 \end_inset
 
- zpětnou vazbu uvažeje.
+ zpětnou vazbu uvažuje.
  Pozorování 
 \begin_inset Formula $y(t)$
@@ -5795,5 +5816,5 @@
 
 \begin_layout Chapter
-Návrh a vyhodnocení
+Návrh a implementace algoritmů
 \begin_inset CommandInset label
 LatexCommand label
@@ -5805,22 +5826,94 @@
 \end_layout
 
+\begin_layout Standard
+Tato kapitola se zaměřuje na detaily implementace vybraných algoritmů pro
+ provedení simulací a porovnání výsledků.
+ Konkrétní hodnoty prametrů uvažovaného PMSM a vlastní simulace budou uvedeny
+ v následující kapitole.
+\end_layout
+
 \begin_layout Section
-Implementace LQ řízení pro stejné indukčnosti
+Vektorové řízení založené na PI regulátorech
+\end_layout
+
+\begin_layout Standard
+Jak již bylo zmíněno v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Vektorové-řízení"
+
+\end_inset
+
+, jedná se o velmi často využívaný řídící algoritmus.
+ Z tohoto důvodu je zde zařazen především jako referenční pro srovnání s
+ ostatními navrhovanými algoritmy.
+ Jeho implementace je relativně jednoduchá.
+ Pracuje s veličinami v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadném systému a vlastní návrh byl popsán rovněž v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Vektorové-řízení"
+
+\end_inset
+
+.
+ Je ale ještě potřeba dodat hodnoty konstant vystupující v rovnicích
+\begin_inset Formula 
+\begin{eqnarray*}
+\overline{i_{q}} & = & \mathrm{PI}(\overline{\omega}-\omega,K_{p,i},K_{i,i}),\\
+u_{d} & = & \mathrm{PI}(-i_{d},K_{p,u},K_{i,u}),\\
+u_{q} & = & \mathrm{PI}(\overline{i_{q}}-i_{q},K_{p,u},K_{i,u}),
+\end{eqnarray*}
+
+\end_inset
+
+tedy 
+\begin_inset Formula $K_{p,i}$
+\end_inset
+
+, 
+\begin_inset Formula $K_{i,i}$
+\end_inset
+
+, 
+\begin_inset Formula $K_{p,u}$
+\end_inset
+
+ a 
+\begin_inset Formula $K_{i,u}$
+\end_inset
+
+.
+ Dobré výsledky poskytují následující hodnoty
+\begin_inset Formula 
+\begin{eqnarray*}
+K_{p,i} & = & 3.0;\\
+K_{i,i} & = & 0.00375;\\
+K_{p,u} & = & 20.0;\\
+K_{i,u} & = & 0.05.
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Section
+Implementace LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ 
 \end_layout
 
 \begin_layout Subsection
-LQ řízení v 
-\begin_inset Formula $\alpha-\beta$
-\end_inset
-
- 
-\end_layout
-
-\begin_layout Subsubsection
 Matice systému
 \end_layout
 
 \begin_layout Standard
-Uvažujeme tedy diskretizované rovnice z části 
+Uvažujeme diskretizované rovnice pro stejné indukčnosti z části 
 \begin_inset CommandInset ref
 LatexCommand ref
@@ -5866,5 +5959,5 @@
 
  a tedy poslední člen třetí rovnice vypadne.
- Rovnice tedy přejdou na tvar
+ Rovnice přejdou na tvar
 \begin_inset Formula 
 \begin{eqnarray}
@@ -5878,9 +5971,9 @@
 
 Jedná se o reprezentaci systému se stavem 
-\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t}\right)$
+\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t}\right)^{T}$
 \end_inset
 
  a řízením 
-\begin_inset Formula $u_{t}=\left(u_{\alpha,t},u_{\beta,t}\right)$
+\begin_inset Formula $u_{t}=\left(u_{\alpha,t},u_{\beta,t}\right)^{T}$
 \end_inset
 
@@ -5926,5 +6019,5 @@
 , což vede na 
 \begin_inset Formula 
-\begin{eqnarray*}
+\begin{eqnarray}
 A_{t} & = & \left[\begin{array}{cccc}
 a & 0 & b\sin\vartheta_{t} & b\omega_{t}\cos\vartheta_{t}\\
@@ -5932,5 +6025,5 @@
 -e\sin\vartheta_{t} & e\cos\vartheta_{t} & d & -e\left(i_{\beta,t}\sin\vartheta_{t}+i_{\alpha,t}\cos\vartheta_{t}\right)\\
 0 & 0 & \Delta t & 1
-\end{array}\right],\\
+\end{array}\right],\label{eq:matice_stind_alfabeta44}\\
 B_{t} & = & B=\left[\begin{array}{cc}
 c & 0\\
@@ -5938,11 +6031,11 @@
 0 & 0\\
 0 & 0
-\end{array}\right].
-\end{eqnarray*}
+\end{array}\right].\nonumber 
+\end{eqnarray}
 
 \end_inset
 
 Dále, když budeme chtít jako pozorovatele užít Kalmanův filtr, budeme potřebovat
- vztah pro výstup systému systému, ten je formulován jako 
+ vztah pro výstup systému, ten je formulován jako 
 \begin_inset Formula $y_{t}=g(x_{t})=\left(i_{\alpha,t},i_{\beta,t}\right)^{T}$
 \end_inset
@@ -5967,5 +6060,5 @@
 \end_layout
 
-\begin_layout Subsubsection
+\begin_layout Subsection
 Ztrátová funkce
 \end_layout
@@ -6077,5 +6170,5 @@
  jsou pak ve tvaru 
 \begin_inset Formula 
-\begin{eqnarray*}
+\begin{eqnarray}
 A_{t} & = & \left[\begin{array}{ccccc}
 a & 0 & b\sin\vartheta_{t} & b\left(\psi_{t}+\overline{\omega}_{t}\right)\cos\vartheta_{t} & b\sin\vartheta_{t}\\
@@ -6084,5 +6177,5 @@
 0 & 0 & \Delta t & 1 & \Delta t\\
 0 & 0 & 0 & 0 & 1
-\end{array}\right],\\
+\end{array}\right],\label{eq:matice_stind_alfabeta55}\\
 B & = & \left[\begin{array}{cc}
 c & 0\\
@@ -6091,10 +6184,10 @@
 0 & 0\\
 0 & 0
-\end{array}\right],\\
+\end{array}\right],\nonumber \\
 C & = & \left[\begin{array}{ccccc}
 1 & 0 & 0 & 0 & 0\\
 0 & 1 & 0 & 0 & 0
-\end{array}\right].
-\end{eqnarray*}
+\end{array}\right].\nonumber 
+\end{eqnarray}
 
 \end_inset
@@ -6124,5 +6217,5 @@
 
  označujeme nový stav 
-\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\psi_{t},\vartheta_{t},\overline{\omega}_{t}\right)$
+\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\psi_{t},\vartheta_{t},\overline{\omega}_{t}\right)^{T}$
 \end_inset
 
@@ -6182,5 +6275,6 @@
 \end_inset
 
- , lze tak jednoduše učinit pomocí přidání dalšího členu do ztrátové funkce.
+ což může v některých případech vylepšit chování LQG algoritmu, lze tak
+ učinit přidáním dalšího členu do ztrátové funkce.
  Tento člen budeme volit opět kvadratický a to ve tvaru 
 \begin_inset Formula $\left(u_{t}-u_{t-1}\right)^{T}S\left(u_{t}-u_{t-1}\right)$
@@ -6188,5 +6282,5 @@
 
 .
- Penalizační matici budeme opět uvažovat ve tvaru
+ Penalizační matici budeme uvažovat ve tvaru
 \begin_inset Formula 
 \[
@@ -6206,10 +6300,10 @@
  Takovýto člen ale ve standartní ztrátové funkci LQ řízení nevystupuje a
  jeho přidání již není tak snadné.
- Při implementaci této verze algoritmu však bylo užito jiné verze LQ algoritmu,
- která je obecnější a tento zápis dovoluje.
+ Při implementaci takto modifikovaného algoritmu bylo užito jiného návrhu
+ LQ řízení, které je obecnější a tento zápis dovoluje.
  Zmiňovaný přístup je založen na maticovém QR rozkladu a kromě toho, že
  umožňuje mnohem obecnější zadání úlohy s lineárním systémem a kvadratickou
  ztrátovou funkcí, jeho výpočet je i rychlejší z důvodu efektivnějšího provádění
- maticové inverze, kterou by bylo třeba počítat při řešení Riccatiho rovnice
+ maticové inverze, kterou je třeba počítat při řešení Riccatiho rovnice
  (
 \begin_inset CommandInset ref
@@ -6223,4 +6317,186 @@
 
 \begin_layout Subsection
+Problém simulací
+\end_layout
+
+\begin_layout Standard
+Implementujeme-li LQG řízení s užitím výše odvozených rovnic, objevuje se
+ v simulacích problém.
+ I když matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta44"
+
+\end_inset
+
+) dává dobré výsledky při použití v rozšířeném Kalmanově filtru, při užití
+ matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta44"
+
+\end_inset
+
+), respektive z ní vycházející rozšířené matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta55"
+
+\end_inset
+
+) pro výpočet LQ řízení dostáváme špatné výsledky.
+ Systém se nežádoucím způsobem rozkmitá, jak je možné pozorovat na obrázku
+ 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obr_vylepseni_lq_alfabeta"
+
+\end_inset
+
+ a postup nevede k nalezení použitelného řídícího algoritmu.
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename lqalfabeta.eps
+	scale 40
+	rotateAngle 270
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Výsledky simulátoru pro LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnicích před a po úpravě matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+.
+ Všechny tři grafy představují otáčky 
+\begin_inset Formula $\omega$
+\end_inset
+
+, kde na ose x je čas v sekundách a na ose y hodnata otáček v rad/s.
+ První graf zachycuje požadované otáčky (referenční signál) 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+.
+ Druhý pak skutečný průběh 
+\begin_inset Formula $\omega$
+\end_inset
+
+ v systému jako výsledek řízení s maticí 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ před úpravou.
+ Třetí totéž co druhý, jen s maticí 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ po úpravě.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obr_vylepseni_lq_alfabeta"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Tento problém lze vyřešit drobnou úpravou matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta44"
+
+\end_inset
+
+), respektive (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta55"
+
+\end_inset
+
+), kdy zanedbáme některé její členy (parciální derivace prvních tří rovnic
+ dle 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+) a položíme je rovny nule.
+ Upravená matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta44"
+
+\end_inset
+
+) je
+\begin_inset Formula 
+\[
+A_{t}=\left[\begin{array}{cccc}
+a & 0 & b\sin\vartheta_{t} & 0\\
+0 & a & -b\cos\vartheta_{t} & 0\\
+-e\sin\vartheta_{t} & e\cos\vartheta_{t} & d & 0\\
+0 & 0 & \Delta t & 1
+\end{array}\right].
+\]
+
+\end_inset
+
+Rozšíření na upravenou matici (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:matice_stind_alfabeta55"
+
+\end_inset
+
+) je již snadné.
+\end_layout
+
+\begin_layout Standard
+Při užití takto upravené matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ v algoritmu LQ řízení již získáme dobré výsledky srovnatelné s ostatními
+ zde uváděnými přístupy, viz obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obr_vylepseni_lq_alfabeta"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Section
 LQ řízení v 
 \begin_inset Formula $d-q$
@@ -6236,5 +6512,5 @@
 
  souřadnice.
- Vyjdeme z rovnic
+ Vyjdeme z rovnic pro stejné indukčnosti
 \begin_inset Formula 
 \begin{eqnarray*}
@@ -6275,10 +6551,10 @@
  Získáme rovnice ve tvaru
 \begin_inset Formula 
-\begin{eqnarray*}
-i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\\
-i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\\
-\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.
-\end{eqnarray*}
+\begin{eqnarray}
+i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\nonumber \\
+i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\label{eq:rovnice_jedn_dq}\\
+\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\nonumber \\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\nonumber 
+\end{eqnarray}
 
 \end_inset
@@ -6316,6 +6592,7 @@
 
  by bylo možno předpočítat a celý návrh řízení by se usnadnil a hlavně urychlil.
- Jestli je však možné tyto členy zanedbat se ukáže až jako výsledek simulací,
- z tohoto důvodu zde bude uvedena i verze matic pro systém PMSM bez těchto
+ Jestli je však možné tyto členy zanedbat a jaké to má důsledky bude ukázáno
+ dále jako výsledek simulací.
+ Z tohoto důvodu zde bude uvedena i verze matic pro systém PMSM bez těchto
  členů.
  
@@ -6405,5 +6682,5 @@
  pak již nebude konstantní
 \begin_inset Formula 
-\[
+\begin{equation}
 A_{t}=\left[\begin{array}{ccccc}
 a & \Delta t\cdot\omega & \Delta t\cdot i_{q} & 0 & \Delta t\cdot i_{q}\\
@@ -6412,4 +6689,42 @@
 0 & 0 & \Delta t & 1 & \Delta t\\
 0 & 0 & 0 & 0 & 1
+\end{array}\right].\label{eq:maticeA_lq_dq_scleny}
+\end{equation}
+
+\end_inset
+
+Matice 
+\begin_inset Formula $B$
+\end_inset
+
+ zůstává stejná.
+\end_layout
+
+\begin_layout Standard
+Analogicky jako u LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ se na základě simulací ukazuje, že v případě uvažování 
+\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
+\end_inset
+
+ poskytuje lepší výsledky nežli matice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:maticeA_lq_dq_scleny"
+
+\end_inset
+
+) její upravená verze vzniklá zanedbáním některých členů.
+ To vede na matici
+\begin_inset Formula 
+\[
+A_{t}=\left[\begin{array}{ccccc}
+a & \Delta t\cdot\omega & 0 & 0 & 0\\
+-\Delta t\cdot\omega & a & -b & 0 & -b\\
+0 & e & d & 0 & d-1\\
+0 & 0 & \Delta t & 1 & \Delta t\\
+0 & 0 & 0 & 0 & 1
 \end{array}\right].
 \]
@@ -6417,13 +6732,549 @@
 \end_inset
 
-Matice 
-\begin_inset Formula $B$
-\end_inset
-
- zůstává stejná.
+
 \end_layout
 
 \begin_layout Section
-Konkrétní hodnoty parametrů
+Využití injektáží
+\end_layout
+
+\begin_layout Standard
+V této části bude popsán jednoduchý návrh řízení využívajícího injektáží.
+ Jedná se o velmi základní návrh, který trpí některými nedostatky, především
+ při zpracování výstupního signálu a analýze v něm modulované informace.
+ Dále je tento postup implementován pouze jako simulace v 
+\family typewriter
+Matlabu
+\family default
+.
+ Implementace v simulátoru naráží na celou řadu potíží, především potřebu
+ zpracovávat inforamci ze signálu ještě před vstupem do estimátoru (používaný
+ je EKF).
+\end_layout
+
+\begin_layout Standard
+Základní myšlenka je následující: Pomocí techniky injektáží se nepodařilo
+ získat dostatečně kvalitní odhad úhlu natočení 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, aby byl použit přímo pro řízení.
+ Je tedy užíváno současně i EKF, kdy odhad 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ z injektáže slouží jako další zdroj informace pro EKF.
+ Kompletní odhad stavu pro řízení pak poskytuje EKF.
+ Jako řízení je využíváno LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadné soustavě.
+\end_layout
+
+\begin_layout Standard
+Celý proces pak probíhá tak, že k řízení navrženému LQ regulátorem je přidáván
+ vysokofrekvenční signál do estimované 
+\begin_inset Formula $d$
+\end_inset
+
+ osy.
+ Toto řízení je přivedeno na vstup PMSM a na jeho výstupu jsou měřeny proudy.
+ Z proudu v estimované 
+\begin_inset Formula $q$
+\end_inset
+
+ ose je určen odhad 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ pomocí násobení původním vysokofrekvenčním signálem a následnou aplikací
+ low-pass filtru.
+ Odhad 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ je spolu s výstupy PMSM 
+\begin_inset Formula $y_{\alpha}$
+\end_inset
+
+ a 
+\begin_inset Formula $y_{\beta}$
+\end_inset
+
+ dodán rozšířenému Kalmanovu filtru, který pak poskytuje odhad všech stavových
+ veličin.
+ Ty jsou použity pro návrh řízení v dalším kroku.
+\end_layout
+
+\begin_layout Standard
+Větší část zde používaných algoritmů (LQ, EKF) již byla popsána výše v textu,
+ proto zde uvedeme pouze případné změny.
+ Mění se matice 
+\begin_inset Formula $C$
+\end_inset
+
+ a 
+\begin_inset Formula $R$
+\end_inset
+
+ pro EKF:
+\begin_inset Formula 
+\begin{eqnarray*}
+C & = & \left[\begin{array}{ccccc}
+1 & 0 & 0 & 0 & 0\\
+0 & 1 & 0 & 0 & 0\\
+0 & 0 & 1 & 0 & 0
+\end{array}\right],\\
+R & = & \left[\begin{array}{ccc}
+r & 0 & 0\\
+0 & r & 0\\
+0 & 0 & r_{\vartheta}
+\end{array}\right].
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsection
+Zpracování signálu
+\end_layout
+
+\begin_layout Standard
+Jak bylo uvedeno v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Injektáže"
+
+\end_inset
+
+, je pro správnou funkci injektáží nutné splnit podmínku 
+\begin_inset Formula $L_{d}\neq L_{q}$
+\end_inset
+
+.
+ Z tohoto důvodu je třeba upravit i samotný simulátor a založit jej na rovnicích
+ (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_ruzneL_proi"
+
+\end_inset
+
+) a (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_ruzneL_omega"
+
+\end_inset
+
+), které uvažují různé indukčnosti.
+ Pro jednodušší zpracování byly zvoleny indukčnosti 
+\begin_inset Formula 
+\begin{eqnarray*}
+L_{d} & = & 1.5L_{s},\\
+L_{q} & = & L_{s}.
+\end{eqnarray*}
+
+\end_inset
+
+Tato volba samozřejmě neodpovídá SMPMSM, kde je rozdíl indukčností v osách
+ 
+\begin_inset Formula $d$
+\end_inset
+
+ a 
+\begin_inset Formula $q$
+\end_inset
+
+ velmi malý.
+ Zde užité hodnoty jsou voleny pro usnadnění návrhu.
+\end_layout
+
+\begin_layout Standard
+Vysokofrekvenční signál užitý pro injektáž byl zvolen jako kosinový signál
+ o amplitudě 
+\begin_inset Formula $10V$
+\end_inset
+
+ a frekvenci 
+\begin_inset Formula $500Hz$
+\end_inset
+
+.
+ Volba velikosti amplitudy je opět komplikovanou záležitostí.
+ Obecně platí, že větší amplituda umožní snadnější zpracování signálu, především
+ z důvodu většího odstupu signálu od šumu.
+ Naopak ale větší amplituda způsobuje i větší rušení v samotném PMSM.
+ Obvykle je v injektážních technikách užívána amplituda menší, zde zvolená
+ hodnota je vyšší aby opět usnadnila zpracování.
+ Dalším problémem může být, že zde předkládaný návrh amplitudu nijak neomezuje
+ s rostoucími otáčkami, stále je tedy injektován signál o stejné amplitudě.
+ To by se mohlo negativně projevit při vyšších otáčkách.
+ 
+\end_layout
+
+\begin_layout Standard
+Asi největší komplikací tohoto přístupu, ale i injektáží obecně je vhodný
+ návrh low-pass filtru.
+ Používá se k získání amplitudově modulované informace o poloze rotoru.
+ Návrh filtrů je obecně netriviální záležitostí a může mít značný dopad
+ na kvalitu výsledného odhadu 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+ Zde používaný filtr je velmi jednoduchý a založený na klouzavých průměrech.
+ Poskytované výsledky tedy nejsou příliš dobré.
+\end_layout
+
+\begin_layout Standard
+Informace o poloze rotoru je amplitudově modulovaná na nosné vysoké frekvenci
+ v 
+\begin_inset Formula $q$
+\end_inset
+
+ složce měřeného proudu.
+ Není však modulována přímo hodnota 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ ale veličina 
+\begin_inset Formula 
+\[
+\frac{V_{hf}}{\omega_{hf}}\frac{L_{q}-L_{d}}{2L_{d}L_{q}}\sin2\theta,
+\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $V_{hf}$
+\end_inset
+
+ představuje amplitudu a 
+\begin_inset Formula $\omega_{hf}$
+\end_inset
+
+ úhlovou frekvenci vysokofrekvenčního signálu, 
+\begin_inset Formula $\theta$
+\end_inset
+
+ je chyba odhadu 
+\begin_inset Formula $\theta=\vartheta_{sys}-\vartheta_{est}$
+\end_inset
+
+.
+ Po získání této informace je tedy třeba ještě provést vydělení příslušnou
+ konstantou a ideálně ještě funkci 
+\begin_inset Formula $\arcsin$
+\end_inset
+
+.
+ Výpočet 
+\begin_inset Formula $\arcsin$
+\end_inset
+
+ je však náročný a nedává příliš dobré výsledky z důvodu omezení na jeho
+ definiční obor, proto je výhodné využít aproximaci 
+\begin_inset Formula $\sin x\approx x$
+\end_inset
+
+ pro malá 
+\begin_inset Formula $x$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection
+Nedostatky přístupu
+\end_layout
+
+\begin_layout Standard
+Popisovaný návrh jednoduchého využítí injektáží trpí celou řadou více, či
+ méně závažných nedostatků, většina z nich již byla zmíněna v předchozím
+ popisu.
+ Hlavními problematickými body, které poskytují prostor pro vylepšení jsou:
+\end_layout
+
+\begin_layout Itemize
+užití hodnot zjednodušujících určení úhlu natočení -- oproti zde užívanému
+ experimentu lze očekávat, že reálná hodnota rozdílu indukčností bude nižší
+\end_layout
+
+\begin_layout Itemize
+nepříliš dobrý low-pass filtr -- navrhnutí lepšího filtru by mohlo značně
+ zlepšít demodulaci informace obsažené v 
+\begin_inset Formula $q$
+\end_inset
+
+ složce proudu
+\end_layout
+
+\begin_layout Itemize
+použité řízení je LQ v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích, ale jeho návrh předpokládá stejné indukčnosti 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+ -- při zde užívaném velkém rozdílu indukčností by to mohlo působit problémy,
+ ale při uvažovaném nasazení na SMPSMS s téměř stejnými indukčnostmi je
+ toto zjednodušení zanedbatelné vzhledem k ostatním nedostatkům
+\end_layout
+
+\begin_layout Itemize
+amplituda injektovaného signálu není nijak omezována s rostoucími otáčkami
+ -- může docházet k většímu rušení při vysokých otáčkách, řešením by bylo
+ amplitudu omezovat podobně jako u hybridních metod
+\end_layout
+
+\begin_layout Itemize
+omezený rozsah detekce natočení -- obecně předpokládáme počáteční úhel natočení
+ v intervalu 
+\begin_inset Formula $\left(-\pi,\pi\right\rangle $
+\end_inset
+
+, v důsledku symetrie rovnic na substituci 
+\begin_inset Formula $\omega\longleftrightarrow-\omega$
+\end_inset
+
+ a 
+\begin_inset Formula $\vartheta\longleftrightarrow\vartheta+\pi$
+\end_inset
+
+, které zde nijak nedetekujeme je třeba omezit počáteční úhel na 
+\begin_inset Formula $\left(-\frac{\pi}{2},\frac{\pi}{2}\right\rangle $
+\end_inset
+
+; dále pak z injektáže dostáváme informaci o 
+\begin_inset Formula $2\theta$
+\end_inset
+
+, z čehož plyne omezení na 
+\begin_inset Formula $\left(-\frac{\pi}{4},\frac{\pi}{4}\right\rangle $
+\end_inset
+
+; výsledný interval použitelnosti je tedy velmi malý a bez další úprav představu
+je velkou překážku 
+\end_layout
+
+\begin_layout Standard
+I přes výše zmíněné nedostatky se na základě simulací ukazuje, že tento
+ přístup pomáhá k rychlejšímu určení počátečního natočení rotoru než zvládají
+ standartní metody.
+\end_layout
+
+\begin_layout Section
+Duální algoritmus
+\end_layout
+
+\begin_layout Standard
+Posledním z implementovaných algoritmů je následující 
+\emph on
+jednoduchý duální návrh
+\emph default
+.
+ Hlavní myšlenka je založena na 
+\emph on
+bikriteriální metodě
+\emph default
+, viz 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Vybrané-algoritmy-proDC"
+
+\end_inset
+
+.
+ Její princip je ve stručnosti takový, že nejdříve je nalezeno opatrné řízení.
+ Následně je v jeho okolí hledáno optimální buzení.
+ Tohoto postupu se ale budeme držet jen částečně.
+\end_layout
+
+\begin_layout Standard
+Nalezení 
+\emph on
+opatrného řízení
+\emph default
+, které se pod tímto pojmem obvykle rozumí není v případě zde uvažovaného
+ systému snadné.
+ Proto místo něj využijeme opět LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích.
+ Toto není z hlediska bikriteriální metody korektní, zde uvažovaný postup
+ je ale myšlen jako jednoduchý duální návrh a je pouze jejím jistým přiblížením.
+\end_layout
+
+\begin_layout Standard
+Nyní kolem takto nalezeného řízení, označme 
+\begin_inset Formula $\tilde{u}$
+\end_inset
+
+, stanovíme okolí, ve kterém se budeme snažit minimalizovat ztrátu pro optimální
+ buzení.
+ Okolí uvažujeme jako dvourozměrný interval popsaný parametrem 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+ ve tvaru 
+\begin_inset Formula $\left\langle \tilde{u}_{d}-\varepsilon,\tilde{u}_{d}+\varepsilon\right\rangle \times\left\langle \tilde{u}_{q}-\varepsilon,\tilde{u}_{q}+\varepsilon\right\rangle $
+\end_inset
+
+.
+ Pro odhadování stavu je užit opět rozšířený Kalmanův filtr.
+ 
+\end_layout
+
+\begin_layout Standard
+Jak již bylo uvedeno v kapitole 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Estimace-stavových-veličin"
+
+\end_inset
+
+, čím jsou vyšší otáčky, tím získáváme lepší odhad stavových veličin 
+\begin_inset Formula $\omega$
+\end_inset
+
+ a 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+, protože na otáčkách přímo úměrně závisí velikost zpětné elektromotorické
+ síly.
+ Na tomto základě můžeme uvažovat, že optimální buzení pro PMSM je takové,
+ které se snaží maximalizovat otáčky 
+\begin_inset Formula $\omega$
+\end_inset
+
+, nebo přesněji jejich absolutní hodnotu.
+ 
+\end_layout
+
+\begin_layout Standard
+Při maximalizaci otáček vyjdeme z rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_jedn_dq"
+
+\end_inset
+
+) 
+\begin_inset Formula 
+\begin{eqnarray*}
+i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\\
+i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\\
+\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,
+\end{eqnarray*}
+
+\end_inset
+
+kde do třetí rovnice dosadíme z prvních dvou
+\begin_inset Formula 
+\begin{equation}
+\omega_{t+1}=d\omega_{t}+e\left(ai_{q,t-1}-\Delta t\left(ai_{d,t-2}+\Delta t\cdot i_{q,t-2}\omega_{t-2}+cu_{d,t-2}\right)\omega_{t-1}-b\omega_{t-1}+cu_{q,t-1}\right).\label{eq:rovnice_pro_opt_buz}
+\end{equation}
+
+\end_inset
+
+Dosazovat by šlo samozřejmě dále, ale již teď je vidět, jak je vhodné volit
+ 
+\begin_inset Formula $u_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $u_{q}$
+\end_inset
+
+.
+ Chceme maximalizovat 
+\begin_inset Formula $\left|\omega\right|$
+\end_inset
+
+, budeme tedy volit řízení 
+\begin_inset Formula $u$
+\end_inset
+
+ na okraji intervalu kolem 
+\begin_inset Formula $\tilde{u}$
+\end_inset
+
+.
+ Je třeba rozlišit kladné a záporné otáčky, z rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:rovnice_pro_opt_buz"
+
+\end_inset
+
+) získáváme pro 
+\begin_inset Formula $u_{q}$
+\end_inset
+
+ volbu stejného znaménka jako pro 
+\begin_inset Formula $\omega$
+\end_inset
+
+ a pro 
+\begin_inset Formula $u_{d}$
+\end_inset
+
+ znaménko opačné.
+ Výsledné řízení je tedy
+\begin_inset Formula 
+\begin{eqnarray*}
+u_{d} & = & \tilde{u}_{d}-\varepsilon\,\mathrm{sign}\,\omega,\\
+u_{q} & = & \tilde{u}_{q}+\varepsilon\,\mathrm{sign}\,\omega.
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Tento postup je relativně jednoduchou modifikací předchozího LQ algoritmu,
+ ale jak ukazují simulace, může přinést značnou výhodu při určování počátečního
+ natočení rotoru.
+\end_layout
+
+\begin_layout Chapter
+Provedené simulace
+\end_layout
+
+\begin_layout Standard
+Popisované simulace jsou dvou druhů.
+ Větší část simulací byla provedena v programu 
+\family typewriter
+Matlab
+\family default
+.
+ Některé, zejména jednodušší, simulace pak byly implementovány i na simulátoru
+ PMSM poskytnutém vedoucím práce panem Ing.
+ Václavem Šmídlem Ph.D.
+ Tento simulátor se daleko více blíží reálnému stroji a zahrnuje i komplikovaněj
+ší elektrické efekty, jako například vliv invertoru.
+\end_layout
+
+\begin_layout Section
+Volba parametrů
+\end_layout
+
+\begin_layout Standard
+Nejdříve uvádíme parametry uvažovaného PMSM, se kterými byly následné simulace
+ prováděny.
 \end_layout
 
@@ -6452,12 +7303,21 @@
 \end_inset
 
-Což vede na zjednodušené koeficienty:
+Tedy předpokládáme pro jednoduchost koeficient viskozity 
+\begin_inset Formula $B$
+\end_inset
+
+ a zátěžný moment 
+\begin_inset Formula $T_{L}$
+\end_inset
+
+ nulovy.
+ Často užívané zjednodušené koeficienty mají následující hodnoty:
 \begin_inset Formula 
 \begin{eqnarray*}
-a & = & 0.9898;\\
-b & = & 0.0072;\\
-c & = & 0.0361;\\
-d & = & 1.0;\\
-e & = & 0.0149.
+a & = & 1-\frac{R_{s}}{L_{s}}\Delta t=0.9898;\\
+b & = & \frac{\psi_{pm}}{L_{s}}\Delta t=0.0072;\\
+c & = & \frac{\Delta t}{L_{s}}=0.0361;\\
+d & = & 1-\frac{B}{J}\Delta t=1.0;\\
+e & = & \frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t=0.0149.
 \end{eqnarray*}
 
@@ -6468,5 +7328,49 @@
 
 \begin_layout Subsection
-Kovarianční matice
+Penalizační a kovarianční matice
+\end_layout
+
+\begin_layout Subsubsection
+Kovarianční matice šumu
+\end_layout
+
+\begin_layout Standard
+V modelu PMSM předpokládáme Gaussovský bílý šum s nulovou střední hodnotou,
+ kterým jsou obecně zatíženy stavové veličiny systému 
+\begin_inset Formula $x$
+\end_inset
+
+ i měření 
+\begin_inset Formula $y$
+\end_inset
+
+.
+ Uvažujme stav 
+\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t}\right)^{T}$
+\end_inset
+
+ a měření 
+\begin_inset Formula $y_{t}=\left(i_{\alpha,t},i_{\beta,t}\right)^{T}$
+\end_inset
+
+.
+ Při zahrnutí šumu jsou pak stav 
+\begin_inset Formula $\tilde{x}_{t}$
+\end_inset
+
+ i měření 
+\begin_inset Formula $\tilde{y}_{t}$
+\end_inset
+
+ náhodné veličiny s normálním rozdělením
+\begin_inset Formula 
+\begin{eqnarray*}
+\tilde{x}_{t} & \sim & \mathcal{N}\left(x_{t},M_{t}\right),\\
+\tilde{y}_{t} & \sim & \mathcal{N}\left(y_{t},N_{t}\right).
+\end{eqnarray*}
+
+\end_inset
+
+ 
 \end_layout
 
@@ -6484,6 +7388,53 @@
 \begin_inset Formula 
 \begin{eqnarray*}
-M_{k} & = & \mathrm{diag\left(0.0013;\:0.0013;\:5.0e-6;\:1.0e-10\right),}\\
-N_{k} & = & \mathrm{diag}\left(0.0006;\:0.0006\right).
+M_{t} & = & \mathrm{diag\left(0.0013;\:0.0013;\:5.0e-6;\:1.0e-10\right),}\\
+N_{t} & = & \mathrm{diag}\left(0.0006;\:0.0006\right).
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Matice EKF
+\end_layout
+
+\begin_layout Standard
+Matice použité při výpočtu rozšířeného Kalmanova filtru jsou následující:
+\begin_inset Formula 
+\begin{eqnarray*}
+Q_{EKF} & = & \mathrm{diag}\left(0.1;\:0.1;\:0.1;\:0.001\right),\\
+R_{EKF} & = & \mathrm{diag}\left(0.05;\:0.05\right).
+\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Matice LQ řízení
+\end_layout
+
+\begin_layout Standard
+Pro použité LQ řídící algoritmy byly užity matice 
+\begin_inset Formula $Q$
+\end_inset
+
+, 
+\begin_inset Formula $R$
+\end_inset
+
+ a 
+\begin_inset Formula $S$
+\end_inset
+
+ s parametrys
+\begin_inset Formula 
+\begin{eqnarray*}
+q & = & 1.0,\\
+r & = & 0.01,\\
+s & = & 0.1.
 \end{eqnarray*}
 
@@ -6497,44 +7448,1629 @@
 \end_layout
 
-\begin_layout Standard
-Další hodnoty, jako požadovaná hodnota otáček (referenční signál) 
+\begin_layout Itemize
+Požadovaná hodnota otáček (referenční signál) 
 \begin_inset Formula $\overline{\omega}$
 \end_inset
 
-, časový horizont 
-\begin_inset Formula $T$
-\end_inset
-
-, penalizační matice ve ztrátové funkci 
-\begin_inset Formula $Q$
-\end_inset
-
-, 
-\begin_inset Formula $R$
-\end_inset
-
-, 
-\begin_inset Formula $S$
-\end_inset
-
-, budou specifikovány pro konkrétní simulaci.
+ je znázorněn pro konkrétní simulace.
+ 
+\end_layout
+
+\begin_layout Itemize
+Časový horizont lze vyčíst z osy x příslušných grafů, ty jsou obvykle popisovány
+ v sekundách.
+ Časový horizont v diskrétních časových krocích lze získat vydělením 
+\begin_inset Formula $\Delta t$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Itemize
+Délka ubíhajícího časového horizontu je 
+\begin_inset Formula $10$
+\end_inset
+
+ kroků.
+\end_layout
+
+\begin_layout Itemize
+Maximální absolutní přípustná hodnota napětí je 
+\begin_inset Formula $u_{MAX}=100.0V$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Itemize
+Parametr 
+\begin_inset Formula $\varepsilon$
+\end_inset
+
+ jednoduchého duálního návrhu je volen 
+\begin_inset Formula $\varepsilon=7.0$
+\end_inset
+
+.
 \end_layout
 
 \begin_layout Section
-TODO
-\end_layout
-
-\begin_layout Standard
-možná něco vlastního v matlabu
-\end_layout
-
-\begin_layout Standard
-závěry ze simulátoru
-\end_layout
-
-\begin_layout Standard
-
-\series bold
-vypočítat časovou závislot prvků matice L
+Kvalita sledování referenčního signálu
+\end_layout
+
+\begin_layout Standard
+Nyní přistoupíme k porovnání jednotlivých řídících algoritmů.
+ Nejdříve se zaměříme na kvalitu řízení, tedy jak dobře je sledován referenční
+ signál 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+.
+ Všechny algoritmy využívají k odhadování EKF, uvažujeme šum v systému i
+ šum měření a volíme známé počáteční natočení rotoru 
+\begin_inset Formula $\vartheta_{0}=0$
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+Výsledek experimentu je na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_omegadif"
+
+\end_inset
+
+.
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\begin_inset Tabular
+<lyxtabular version="3" rows="2" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename omdif.eps
+	lyxscale 60
+	scale 37
+	rotateAngle 270
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename injomdif.eps
+	lyxscale 40
+	scale 30
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename bicritomdif.eps
+	lyxscale 40
+	scale 28
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Znázornění odchylek od požadované hodnoty 
+\begin_inset Formula $\omega-\overline{\omega}$
+\end_inset
+
+ pro jednotlivé algoritmy.
+ Na ose x je vždy čas v sekundách, na ose y otáčky respektive jejich odchylka
+ od požadované hodnoty v rad/s.
+ Význam jednotlivých grafů je detailněji popsán v textu.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_omegadif"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+ Interpretace obrázku je následující: Horní graf představuje průběh požadované
+ hodnoty 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+, který je pro všechny algoritmy společný a je společný pro implementace
+ na simulátoru i v 
+\family typewriter
+Matlabu
+\family default
+.
+ 
+\end_layout
+
+\begin_layout Standard
+Čtyři grafy uprostřed znázorňují průběh odchylky při užití algoritmů: vektorové
+ PI řízení (PI), LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnicích (LQ 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+) a LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích se zanedbanými členy (LQ d-q) a se zahrnutými členy (LQ d-q
+ 2).
+ Jedná se o experiment na simulátoru.
+ 
+\end_layout
+
+\begin_layout Standard
+Dolní dva grafy představují průběh odchylky pro jednoduchý injektážní návrh
+ (Inj) a jednoduchý duální návrh založený na bikriteriální metodě (DB).
+ V tomto případě se však jedná o experiment v
+\family typewriter
+ Matlabu
+\family default
+.
+ Grafy (Inj) a (DB) tedy nejsou vhodné pro srovnání s ostatními, protože
+ se jedná o jiný simulátor, i když se stejným nastavením.
+ Navíc (Inj) má na ose y jiný rozsah a dosahuje daleko větší chyby.
+\end_layout
+
+\begin_layout Standard
+Na grafech je možno pozorovat, že při zvoleném referenčním signálu, dosaheje
+ LQ řízení srovnatelných výsledků jako vektorové.
+ LQ řízení obecně více kmitá, ale má tendenci odchylku vzniklou v důsledku
+ náhlé změny referenčního signálu redukovat směrem k nule.
+ U vektorového řízení zůstává odchylka více méně konstantní.
+ Dále je možno pozorovat, že řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnicích se dopouští větší chyby než v 
+\begin_inset Formula $d-q$
+\end_inset
+
+.
+ Při srovnání LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadném systému, (LQ d-q) a (LQ d-q 2) téměř nenalezneme rozdíl.
+ Hlavní rozdíl je však v rychlosti, protože v případě (LQ d-q) lze řídící
+ matici předpočítat a výpočetní nároky na řízení jsou při běhu minimální.
+\end_layout
+
+\begin_layout Standard
+V porovnání s ostatními algoritmy dosahuje jednoduchá injektážní metoda
+ (Inj) velké chyby až přibližně 
+\begin_inset Formula $\pm30$
+\end_inset
+
+ 
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\strikeout off
+\uuline off
+\uwave off
+\noun off
+\color none
+\lang english
+rad/s
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\strikeout default
+\uuline default
+\uwave default
+\noun default
+\color inherit
+\lang czech
+.
+ Chyba se projevuje zejména při vyšší absolutní hodnotě otáček.
+ Tento jev však lze očekávat, protože zde užívaný návrh injektáže nijak
+ neomezuje amplitudu injektovaného signálu s rostoucími otáčkami.
+ Vysokofrekvenční signál pak způsobuje při vyšších otáčkách větší rušení.
+ Z této simulace je tedy vidět, že není vhodné injektovat signál stále,
+ ale přidávat ho pouze při nízkých otáčkách, což řeší hybridní metody injektáží.
+\end_layout
+
+\begin_layout Standard
+Dále je ještě možno si povšimnout relativně menší odchylky 
+\begin_inset Formula $\omega-\overline{\omega}$
+\end_inset
+
+ pro jednoduchý duální návrh (DB).
+ Jak již však bylo řečeno, není vhodné srovnávat tento graf s výstupem ze
+ simulátoru.
+\end_layout
+
+\begin_layout Standard
+Kvalitu sledování referenčního signálu pro jednotlivé algoritmy je dále
+ možno posoudit na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_topdif"
+
+\end_inset
+
+.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename topdif.eps
+	lyxscale 40
+	scale 38
+	rotateAngle 270
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Průběh otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ (modrá) a referenčního signálu 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+ (červená) pro jednotlivé algoritmy.
+ Na ose x je čas v sekundách na ose y otáčky v rad/s.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_topdif"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+ Jedná se o přiblížení horní části lichoběžníku referenčního signálu a jsou
+ zahrnuty pouze algoritmy implementované na simulátoru.
+ Je zde možné spatřit obecnou tendenci, která se však projevuje i v simulacích
+ v 
+\family typewriter
+Matlabu
+\family default
+: Vektorové řízení (PI) řídí na nepatrné větší hodnotu, než je požadovaná.
+ Naopak LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích (LQ d-q) a (LQ d-q 2) řídí na hodnotu nepatrně nižší.
+ U LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnicích (LQ 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+) lze pozorovat také mírně vyšší hodnotu.
+\end_layout
+
+\begin_layout Standard
+Závěry co se týče kvality sledování referenčního signálu pro jednotlivé
+ algoritmy jsou tedy následující: 
+\end_layout
+
+\begin_layout Itemize
+Jednotlivé verze LQ řízení dosahují srovnatelných výsledků s referenčním
+ vektorovým PI řízením.
+ 
+\end_layout
+
+\begin_layout Itemize
+LQ algoritmy v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadné soustavě se ukazují jako lepší než v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Itemize
+Vektorové a LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ řídí na nepatrně vyšší hodnodu než je požadovaná, LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ na hodnotu nepatrně nižší.
+\end_layout
+
+\begin_layout Itemize
+Rodíl v kvalitě mezi LQ řízením v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích při uvažování/zanedbání členů zatím nebyl pozorován.
+\end_layout
+
+\begin_layout Itemize
+Jednoduchý injektážní návrh se bez dalších úprav nehodí k využití při vyšších
+ otáčkách.
+\end_layout
+
+\begin_layout Itemize
+Jednoduchý duální návrh poskytuje dobré výsledky při sledování referenčního
+ signálu, není však možné jeho srovnání s ostatními algoritmy v důsledku
+ chybějící implementace na simulátoru.
+\end_layout
+
+\begin_layout Section
+Maximální otáčky
+\end_layout
+
+\begin_layout Standard
+Další simulací bude otestování, jaké zvládne konkrétní řídící algoritmus
+ maximální otáčky.
+ Zde je třeba upozornit na praktický problém.
+ V reálném stroji je třeba pro dosahování vyšších otáček provádět takzvané
+ odbuzování.
+ Tento jev je však poměrně složitý a v simulacích zahrnut není.
+ Chování simulací při vyšších otáčkách tedy neodpovídá chování reálného
+ stroje.
+ Jedná se pak spíše o testování toho, jak dobře zvládne algoritmus řídit
+ model, bez vztahu k reálnému stroji.
+ Naopak ale lze očekávat, že když řídící algoritmus nezvládne dosáhnout
+ určitou hodnotu otáček při řízení modelu, nezvládne to ani na skutečném
+ stroji.
+\end_layout
+
+\begin_layout Standard
+Pro testování maximálních otáček byl zvolen referenční signál 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+ ve tvaru lineární funkce času.
+ Ta roste z 
+\begin_inset Formula $0$
+\end_inset
+
+ na 
+\begin_inset Formula $3000$
+\end_inset
+
+ rad/s v čase 
+\begin_inset Formula $12$
+\end_inset
+
+ s.
+ Hodnota 
+\begin_inset Formula $3000$
+\end_inset
+
+ rad/s odpovídá při 
+\begin_inset Formula $4$
+\end_inset
+
+ párech pólů 
+\begin_inset Formula $7162$
+\end_inset
+
+ mechanických otáček za minutu, což je již značně vysoká hodnota.
+\end_layout
+
+\begin_layout Standard
+Výsledek ze simulátoru je zachycen na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_rampa"
+
+\end_inset
+
+.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename ramp.eps
+	lyxscale 40
+	scale 38
+	rotateAngle 270
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Maximální dosažitelné otáčky na simulátoru při užití jednotlivých algoritmů.
+ Na ose x je čas v sekundách na ose y otáčky v rad/s.
+ Červenou barvou jsou znázorněny požadované otáčky 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+, modře pak skutečná hodnota otáček stroje 
+\begin_inset Formula $\omega$
+\end_inset
+
+.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_rampa"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+ Vektorové PI řízení zvládá v simulaci sledovat otáčky relativně dobře.
+ Za zmínku stojí drobné 
+\begin_inset Quotes gld
+\end_inset
+
+zaváhání
+\begin_inset Quotes grd
+\end_inset
+
+ na hodnotě přibližně 
+\begin_inset Formula $650$
+\end_inset
+
+ rad/s, které je možné v grafu pozorovat jako malý 
+\begin_inset Quotes gld
+\end_inset
+
+zub
+\begin_inset Quotes grd
+\end_inset
+
+.
+ V tomto místě se na okamžik zdá, že se růst otáček zastaví.
+ Dále pak vektorové řízení řídí na vyšší hodnotu, než je požadovaná.
+ Tento rozdíl postupně narůstá a při maximálních 
+\begin_inset Formula $3000$
+\end_inset
+
+ rad/s dosahuje přibližně 
+\begin_inset Formula $30$
+\end_inset
+
+ rad/s.
+ Tato chyba se již může zdát hodnotově velká, ale v procentuálním vyjádření
+ se jedná o 
+\begin_inset Formula $1\%$
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ a v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích bez uvažování členů se zastaví na hodnotě 
+\begin_inset Formula $575$
+\end_inset
+
+ rad/s a dále již neroste.
+ Vyšší hodnoty otáček tedy nejsou těmito algoritmy zvládnutelné.
+ LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích s uvažováním členů zvládne sledovat požadovanou hodnotu až
+ do maximálních 
+\begin_inset Formula $3000$
+\end_inset
+
+ rad/s.
+ Také zde vzniká chyba podobně jako u vektorového řízení a její velikost
+ je opět přibližně 
+\begin_inset Formula $30$
+\end_inset
+
+ rad/s.
+ Je tedy vhodné předpokládat, že tato chyba nevzniká jako důsledek řízení
+ a její příčinu je třeba hledat jinde.
+ Jako nejpravděpodobnější příčina této chyby se jeví rozšířený Kalmanův
+ filtr, který je použit u všech algoritmů stejný.
+\end_layout
+
+\begin_layout Standard
+Nyní můžeme doplnit hodnocení použitých řídících algoritmů: Rozdíl mezi
+ LQ řízením v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích při uvažování, respektive zanedbání členů je, kromě rychlosti
+ výpočtu, v maximálních dosažitelných otáčkách.
+ Když se budeme pohybovat do maximální hodnoty 
+\begin_inset Formula $575$
+\end_inset
+
+ rad/s, lze s výhodou využít rychlejší algoritmus se zanedbanými členy.
+ Pro vyšší hodnoty otáček je třeba uvažovat verzi algoritmu, který členy
+ uvažuje.
+ Je však třeba zvážit, jestli jsme již nepřekročili hranici nutnou pro odbuzován
+í, protože pak nemusí ani algoritmus uvažující členy fungovat správně.
+\end_layout
+
+\begin_layout Section
+Počáteční rozběh
+\end_layout
+
+\begin_layout Standard
+V této části se zaměříme na vliv, jaký má špatný odhad počátečního úhlu
+ natočení 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+.
+ Jak již bylo úkázáno na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "Flo:badekfestim2"
+
+\end_inset
+
+, tento problém se projevuje zejména při rozběhu a při využítí EKF postupně
+ vymizí.
+ Tedy i špatný odhad 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ postupně konverguje k dobré hodnotě, jen je potřeba delší čas.
+ 
+\end_layout
+
+\begin_layout Standard
+Právě zde se mohou projevit výhody duálního přístupu, duální metoda totiž
+ dokáže rychleji odstranit neurčitost při odhadu 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+ a dříve najít správnou hodnotu.
+ Následující simulace již byly prováděny pouze v 
+\family typewriter
+Matlabu
+\family default
+, kde je dostupná implementace všech uvažovaných algoritmů a je umožněna
+ snadnější volba 
+\begin_inset Formula $\vartheta_{0}$
+\end_inset
+
+.
+ Označme 
+\begin_inset Formula $\vartheta_{0}^{sys}$
+\end_inset
+
+ skutečný počáteční úhel natočení rotoru.
+ Dále pak označme 
+\begin_inset Formula $\vartheta_{0}^{est}$
+\end_inset
+
+ počáteční úhel natočení rotoru předpokládaný estimátorem.
+ Volíme 
+\begin_inset Formula $\vartheta_{0}^{est}\equiv0$
+\end_inset
+
+ pro všechny algoritmy a veličinu, kterou budeme nastavovat je 
+\begin_inset Formula $\vartheta_{0}^{sys}$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Lze očekávat, že algoritmy založené na 
+\emph on
+CE 
+\emph default
+přístupu budou všechny podávat stejné výsledky co se týče schopnosti co
+ nejrychleji nalézt správnou hodnotu počátečních otáček.
+ Na základě simulací se ukazuje, že tomu skutečně tak je.
+ Z tohoto důvodu zde nebudeme uvádět všechny tyto metody, ale vybereme z
+ nich pouze jednoho zástupce.
+ Tímto zástupcem bude LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích s uvažováním členů, protože jsou na něm založeny i jednoduché
+ injektáže a jednoduché duální řízení.
+ 
+\end_layout
+
+\begin_layout Standard
+Dále tedy budem označovat 
+\emph on
+CE
+\emph default
+ přístupem všechny následující metody: vektorové PI řízení, LQ řízení v
+ 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ a v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích s i bez uvažování členů.
+ Jejich výsledky bude reprezentovat již zmiňovaný zástupce.
+\end_layout
+
+\begin_layout Subsection
+Počáteční úhel 
+\begin_inset Formula $\vartheta_{0}^{sys}=0$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Volba nulového počátečního úhlu natočení, tedy takového jaký předpokládá
+ estimátor se může zdát nepříliš zajímavou.
+ Lze na ní však ilustrovat, jak jednotlivé metody zvládají šum.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="3" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename ce0n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename ce0n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename inj0n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename inj0n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename db0n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename db0n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Porovnání skutečného úhlu natočení 
+\begin_inset Formula $\vartheta^{sys}$
+\end_inset
+
+ (modrá) s jeho odhadem 
+\begin_inset Formula $\vartheta^{est}$
+\end_inset
+
+ (zelená) pro různé algoritmy při uvažování počáteční hodnoty 
+\begin_inset Formula $\vartheta_{0}^{sys}=\vartheta_{0}^{est}=0$
+\end_inset
+
+.
+ Na ose x je čas v sekundách na ose y úhel v radiánech.
+ V levém sloupci jsou vždy výsledky bez uvažování šumu ve stroji a šumu
+ měření, v pravém s šumem.
+ Použité algoritmy: nahoře CE, uprostřed jednoduchá injektáž, dole jednoduchý
+ duální přístup.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_rozbeh_th0"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+ Výsledek simulace je znázorněn na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_rozbeh_th0"
+
+\end_inset
+
+.
+ Je vždy zobrazen průběh se šumem v systému a šumem měření a bez šumu.
+ Grafy zahrnující šum odpovídají více reálnému průběhu ve stroji, je však
+ třeba mít na paměti, že šum se generuje náhodně a každá jeho realizace
+ je jiná.
+ Z tohoto důvodu je zahrnuta i verze grafů bez šumu, kde je možné snáze
+ pozorovat chování systému a řízení (více patrné to bude ve výsledcích dalších
+ simulací s jiným počátečním úhlem).
+ 
+\end_layout
+
+\begin_layout Standard
+Z grafů bez šumu stojí za povšimnutí zejména prostřední obrázek týkající
+ se jednoduché injektážní metody.
+ Znázorňuje průběh odhadu úhlu natočení, který kmitá kolem skutečné hodnoty
+ (na grafu není z důvodu překrytí vidět, že skutečná hodnota otáček nekmitá,
+ ale je tvoří hladkou křivku podobně jako v obrázcích pod a nad).
+ Příčinou kmitání je právě přidávaný vysokofrekvenční signál, který lze
+ při dostatečném přiblížení (v obrázku zahrnuto není) v 
+\begin_inset Quotes gld
+\end_inset
+
+tučné
+\begin_inset Quotes grd
+\end_inset
+
+ části nalézt.
+\end_layout
+
+\begin_layout Standard
+Na obrázcích s šumem lze dobře sledovat, jak dobře metody zvládají šum.
+ V případě 
+\emph on
+CE
+\emph default
+ metody je vliv šumu velký a získáváme značně nepřesný odhad hodnoty otáček.
+ Jednoduchá injektážní metoda situaci nepatrně vylepšuje, je však třeba
+ upozornit na jiné měřítko v ose y.
+ Nejlepší zvládnutí šumu z uvažovaných metod pak vykazuje jednoduchý duální
+ návrh.
+\end_layout
+
+\begin_layout Subsection
+Počáteční úhel 
+\begin_inset Formula $\vartheta_{0}^{sys}=\frac{2}{9}\pi$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Počáteční hodnoty 
+\begin_inset Formula $\frac{2}{9}\pi$
+\end_inset
+
+ je volena aby byla dostatečně velká, ale současně menší než 
+\begin_inset Formula $\frac{\pi}{4}=\frac{2}{8}\pi$
+\end_inset
+
+, což je, jak již bylo uvedeno při popisu jednoduché injektážní metody,
+ mez, do které by tato metoda měla fungovat.
+ Výsledky simulací s takto nastavenou počáteční hodnotou jsou zobrazeny
+ na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_rozj_th29"
+
+\end_inset
+
+.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="3" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename ce29n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename ce29n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename inj29n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename inj29n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename db29n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename db29n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Porovnání skutečného úhlu natočení 
+\begin_inset Formula $\vartheta^{sys}$
+\end_inset
+
+ (modrá) s jeho odhadem 
+\begin_inset Formula $\vartheta^{est}$
+\end_inset
+
+ (zelená) pro různé algoritmy při uvažování počáteční hodnoty 
+\begin_inset Formula $\vartheta_{0}^{sys}=\frac{2}{9}\pi$
+\end_inset
+
+.
+ Na ose x je čas v sekundách na ose y úhel v radiánech.
+ V levém sloupci jsou vždy výsledky bez uvažování šumu ve stroji a šumu
+ měření, v pravém s šumem.
+ Použité algoritmy: nahoře CE, uprostřed jednoduchá injektáž, dole jednoduchý
+ duální přístup.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_rozj_th29"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Opět jsou uváděny grafy s šumem i bez šumu, především z důvodu, že na obrázcích
+ bez šumu je daleko lépe poznat, kdy je dosaženo správné hodnoty.
+ Naopak grafy s šumem dávají lepší náhled na skutečný průběh odhadu veličiny.
+\end_layout
+
+\begin_layout Standard
+Z uvedených grafů je velmi dobře patrné, jaké výhody přináší duální přístup
+ při nalezení správné hodnoty při špatném počátečním odhadu.
+ Metodám založeným na 
+\emph on
+CE
+\emph default
+ přístupu trvá nalezení správné hodnoty přibližně 
+\begin_inset Formula $0.7$
+\end_inset
+
+ sekundy.
+ Že je správná hodnota vůbec nalezena již bylo diskutováno a jedná se o
+ vlastnost rozšířeného Kalmanova filtru.
+ V případě zahrnutí šumu do systému je výsledek obvykle horší, jak ilustruje
+ odpovídající grav napravo.
+ Užití jednoduché injektážní metody přináší značné zlepšení, kdy je správná
+ hodnota nalezena již přibližně za 0.1 sekundy.
+ Při uvažování šumu navíc dochází k menšímu zhoršení.
+ Je však třeba podotknout, že se zatím nacházíme v 
+\begin_inset Quotes gld
+\end_inset
+
+bezpečném
+\begin_inset Quotes grd
+\end_inset
+
+ intervalu hodnot pro tuto metodu.
+ Nejlepší výsledky poskytuje jednoduchý duální návrh, kde je čas nalezení
+ správné hodnoty oproti injektážní metodě přibližně poloviční 
+\begin_inset Formula $0.05$
+\end_inset
+
+ sekundy.
+ V důsledku šumu je navíc patrné jen velmi malé zhoršení.
+\end_layout
+
+\begin_layout Subsection
+Počáteční úhel 
+\begin_inset Formula $\vartheta_{0}^{sys}=\frac{\pi}{2}-0.05$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Poslední z testovaných hodnot je 
+\begin_inset Formula $\frac{\pi}{2}-0.05$
+\end_inset
+
+, tedy hodnota nepatrně nižší než 
+\begin_inset Formula $\frac{\pi}{2}$
+\end_inset
+
+.
+ Další hodnoty již testovány nebudou, protože žádný z algoritmů zatím neřeší
+ problém se symetrií rovnic na substituci 
+\begin_inset Formula $\omega\longleftrightarrow-\omega$
+\end_inset
+
+ a 
+\begin_inset Formula $\vartheta\longleftrightarrow\vartheta+\pi$
+\end_inset
+
+.
+ Algoritmus by tedy začal otáčet rotorem stroje na opačnou stranu.
+ Jak již bylo zmiňovánu v popisu jednoduché injektážní metody, volba hodnoty
+ mimo interval 
+\begin_inset Formula $\left\langle -\frac{\pi}{4},\frac{\pi}{4}\right\rangle $
+\end_inset
+
+ není pro tuto metodu bezpečná a lze tedy očekávat, že jednoduchá injektážní
+ metoda v tomto případě selže.
+ Výsledky simulací s počátečním úhlem natočení 
+\begin_inset Formula $\vartheta_{0}^{sys}=\frac{\pi}{2}-0.05$
+\end_inset
+
+ obsahuje obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "obrazek_rozj_thp2"
+
+\end_inset
+
+.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="3" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename cep2n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename cep2n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename injp2n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename injp2n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename dbp2n0.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" topline="true" bottomline="true" leftline="true" rightline="true" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename dbp2n1.eps
+	lyxscale 50
+	scale 32
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Porovnání skutečného úhlu natočení 
+\begin_inset Formula $\vartheta^{sys}$
+\end_inset
+
+ (modrá) s jeho odhadem 
+\begin_inset Formula $\vartheta^{est}$
+\end_inset
+
+ (zelená) pro různé algoritmy při uvažování počáteční hodnoty 
+\begin_inset Formula $\vartheta_{0}^{sys}=\frac{\pi}{2}-0.05$
+\end_inset
+
+.
+ Na ose x je čas v sekundách na ose y úhel v radiánech.
+ V levém sloupci jsou vždy výsledky bez uvažování šumu ve stroji a šumu
+ měření, v pravém s šumem.
+ Použité algoritmy: nahoře CE, uprostřed jednoduchá injektáž, dole jednoduchý
+ duální přístup.
+\end_layout
+
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "obrazek_rozj_thp2"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Výsledky pro 
+\emph on
+CE
+\emph default
+ přístup jsou velmi podobné jako v předchozím případě, jen trvá o něco déle,
+ než je nalezena správná hodnota otáček, přibližně 
+\begin_inset Formula $0.8$
+\end_inset
+
+ sekundy.
+ V případě uvažování šumu je situace dokonce lepší.
+ To však nelze brát jako obecný závěr, protože může dosti záležet na konkrétní
+ realizaci šumu.
+\end_layout
+
+\begin_layout Standard
+Největší zhoršení pozorujeme u jednoduché injektážní metody.
+ Uvažovaná hodnota počátečního úhlu natočení již neleží v intervalu, pro
+ který metoda spolehlivě funguje a to se projevuje na výsledku.
+ Stále však tako metoda poskytuje lepší výsledky, než 
+\emph on
+CE
+\emph default
+ přístup a správné hodnoty dosahuje okolo 
+\begin_inset Formula $0.6$
+\end_inset
+
+ sekundy.
+ V případě uvažování šumu je výsledek opět lepší, přibližně 
+\begin_inset Formula $0.3$
+\end_inset
+
+ sekundy.
+ 
+\end_layout
+
+\begin_layout Standard
+Důležitým zjištěním je výsledek týkající se jednoduché duální metody.
+ Ta totiž poskytuje opět dobrý výsledek, jak při uvažování šumu tak i bez
+ něj.
+ Správnou hodnotu nalezne za přibližně 
+\begin_inset Formula $0.05$
+\end_inset
+
+ sekundy.
+\end_layout
+
+\begin_layout Section
+Závěrečné hodnocení použitých algoritmů
+\end_layout
+
+\begin_layout Standard
+V této kapitole bylo hodnoceno několik řídících algoritmů pro PMSM.
+ Jedná se o:
+\end_layout
+
+\begin_layout Itemize
+vektorové PI řízení
+\end_layout
+
+\begin_layout Itemize
+LQ řízení v souřadné soustavě 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Itemize
+LQ řízení v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ se zanedbáním členů viz rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:dqrce-probl-clen"
+
+\end_inset
+
+)
+\end_layout
+
+\begin_layout Itemize
+LQ řízení v souřadné soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ při uvažování členů viz rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:dqrce-probl-clen"
+
+\end_inset
+
+)
+\end_layout
+
+\begin_layout Itemize
+Jednoduchý návrh řízení využívajícího injektáže
+\end_layout
+
+\begin_layout Itemize
+Jednoduchý návrh duálního řízení založený na bikriteriální metodě
+\end_layout
+
+\begin_layout Standard
+Na základě výsledků simulací bylo shledány následující závěry:
+\end_layout
+
+\begin_layout Standard
+Všechna tři uvažovaná LQ řízení včetně jednoduchého duálního návrhu jsou
+ srovnatelná co do kvality sledování požadovaného signálu s vetorovým PI
+ řízením, které sloužilo jako referenční.
+ V rámci LQ řízení se ukazuje jako lepší využití souřadné soustavy 
+\begin_inset Formula $d-q$
+\end_inset
+
+.
+ Otázka, zda je vhodné členy v rovnici (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:dqrce-probl-clen"
+
+\end_inset
+
+) uvažovat závisí především na maximálních otáčkách, které budou od řízení
+ požadovány.
+ Když tato hodnota nepřekročí hranici 
+\begin_inset Formula $575$
+\end_inset
+
+ rad/s, je možno členy zanedbat a získat tak algoritmus, který je výpočetně
+ daleko méně náročný a tedy rychlejší.
+\end_layout
+
+\begin_layout Standard
+Využití jednoduchého injektážního algoritmu se v současné implementaci nejeví
+ jako vhodné.
+ Zejména se jedná o problémy s rušením při vyšších otáčkách.
+ Řešením by mohlo být omezování amplitudy injektovaného signálu s rostoucími
+ otáčkami.
+ Tím se dostáváme k hybridním metodám injektáží.
+ Naopak ale implemntovaná injektážní technika prokázala lepší schopnost
+ odhadování neznámé hodnoty otáček oproti 
+\emph on
+CE
+\emph default
+ přístupům.
+ Její spolehlivá funkčnost je ovšem pouze v omezeném rozsahu.
+ I když se tedy jednoduchý injektážní návrh ukazuje být bez dalších modifikací
+ nepoužitelný, rozhodně se jedná o zajímavý směr, který by mohl vést ke
+ kvalitnímu řídícímu algoritmu.
+\end_layout
+
+\begin_layout Standard
+Nejlepší výsledky z implementovaných metod poskytl jednoduchý duální návrh.
+ I když se jedná pouze o základní rozšíření původních algoritmů, poskytuje
+ v porovnání s nimi lepší výsledky.
+ Jako jeho největší výhody uveďme lepší zvládnutí šumu a dále rychlé nalezení
+ správné hodnoty otáček.
+ I zde je však značný prostor pro zlepšení.
+ Zejména je třeba vyřešit problém se symetrií rovnic a roztočením stroje
+ na opačnou stranu.
+ Tím by se podařilo zajistit funkčnost pro počáteční úhel natočení z celého
+ intervalu 
+\begin_inset Formula $\left\langle -\pi,\pi\right\rangle $
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+V každém případě se ale ukazuje, že duální algoritmy poskytují daleko lepší
+ řízení oproti řídícím algoritmům založeným na 
+\emph on
+CE
+\emph default
+ předpokladu.
+ Jsou tedy vhodnou cestou, kterou se vydat při řešení problému řízení PMSM.
 \end_layout
 
